Name:           dropbox
Version:        1.4.0
Release:        4.1
License:        GPL-3.0
Summary:        Secure backup, sync and sharing made easy
Url:            http://dropbox.com/
Group:          Productivity/Archiving/Backup
Source:         http://linux.dropbox.com/packages/nautilus-dropbox-%{version}.tar.bz2
BuildRequires:  python-docutils
BuildRequires:  nautilus-devel
BuildRequires:  libnotify-devel

Requires:       python-gpgme

Provides:       dropbox-cli = %{version}
Obsoletes:      dropbox-cli < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:	%ix86 x86_64

%description
This package provides the core CLI dropbox application.

%package -n nautilus-dropbox
Summary:        Secure backup, sync and sharing made easy
Group:          Productivity/Archiving/Backup
Requires:       dropbox = %{version}
Requires:       nautilus

%description -n nautilus-dropbox
This package just provide a nautilus integration plugin.
A handy tool that can be used either in a GUI or on
the commandline to backup, sync and share files.

%prep
%setup -q -n nautilus-dropbox-%{version}
aclocal
autoconf

%build
%configure
make %{?_smp_flags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/nautilus/extensions-?.?/libnautilus-dropbox.{a,la}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/dropbox
%{_datadir}/applications/dropbox.desktop
%{_mandir}/man1/dropbox.*
%{_datadir}/icons/hicolor/*/apps/*.png

%files -n nautilus-dropbox
%defattr(-,root,root)
%{_libdir}/nautilus/extensions-?.?/libnautilus-dropbox.so
%dir %{_datadir}/nautilus-dropbox
%dir %{_datadir}/nautilus-dropbox/emblems
%{_datadir}/nautilus-dropbox/emblems/*.icon
%{_datadir}/nautilus-dropbox/emblems/*.png

%changelog
* Sat Dec 22 2012 Maurizio Dal Magro
- First Built
